# Uses of Interface
org.apache.wiki.search.SearchResult

Packages that use SearchResult
Package
Description
org.apache.wiki.search
Provides the JSPWiki search functionality.

## Uses of SearchResult in org.apache.wiki.search

Classes in org.apache.wiki.search that implement SearchResult
Modifier and Type
Class
Description
`class`
`SearchMatcher.SearchResultImpl`
A local search result.
Methods in org.apache.wiki.search that return SearchResult
Modifier and Type
Method
Description
`SearchResult`
SearchMatcher.`matchPageContent(String wikiname, String pageText)`
Compares the page content, available through the given stream, to the query items of this matcher.